Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 22/02/2013, à 14:00

iWeeZuu

[HELP] Dépendances non satisfaites.

Bonjour,
J'ai un problème :

Par exemple je veux installer n'importe quel paquets ( exemple : wine ) via le terminal et voila le message d'erreur :

root@Pavilion:~# apt-get install wine
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 libc6 : Dépend: libc-bin (= 2.15-0ubuntu10.3) mais 2.15-0ubuntu10.4 devra être installé
 wine : Dépend: wine1.4 mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Donc il me demande de faire « apt-get -f install », alors je le fait et ça me donne ça :

dpkg : erreur de traitement de /var/cache/apt/archives/libc6_2.15-0ubuntu10.4_i386.deb (--unpack) :
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libc6_2.15-0ubuntu10.4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Voilà, donc je ne sais pas quoi faire, merci de m'aider ce serait vraiment sympathique de votre part.

De plus, c'est le paquet libc6 qui est cassé, donc c'est celui qui a tout les systèmes d'Ubuntu dedans. Je sais pas si je peux le supprimer puis le ré-installer...

PS : Je suis sous Lubuntu 12.04.

Dernière modification par iWeeZuu (Le 22/02/2013, à 14:10)

Hors ligne

#2 Le 22/02/2013, à 14:10

Hoper

Re : [HELP] Dépendances non satisfaites.

Ouh.... Toi t'a fait des trucs par normaux avec ton gestionnaire de paquet (ajout de repository chelou etc) à un moment ou un autre.

Tu as installé une version 32 bits de la 12.04 ?
Apparemment, la version normal de libc6 sous lucid est la 2.11. Qu'est ce que tu fais avec une version beaucoup plus récente ?

A ta place je ferai en gros ceci :
Nettoyage radicale du fichier /etc/apt/sources.list (suppression de toutes les sources non officielles et directement liés à lucid)
apt-get clean
apt-get update
puis forcer l'installation (je ne connais plus la syntaxe exacte avec apt, tu peux aussi le faire avec synaptic) de la version "normal" de cette librairie.

Puis tu refais un apt-get -f install

Avec un peu de chance...

Dernière modification par Hoper (Le 22/02/2013, à 14:10)


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#3 Le 22/02/2013, à 14:18

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

Hoper a écrit :

Tu as installé une version 32 bits de la 12.04 ?

Oui j'ai installé une version 32 bits de Lubuntu 12.04.

Hoper a écrit :

Apparemment, la version normal de libc6 sous lucid est la 2.11. Qu'est ce que tu fais avec une version beaucoup plus récente ?

Je ne sais pas du tout, je ne connais pas vraiment Ubuntu. ^^'

Hoper a écrit :

A ta place je ferai en gros ceci :
Nettoyage radicale du fichier /etc/apt/sources.list (suppression de toutes les sources non officielles et directement liés à lucid)
apt-get clean
apt-get update
puis forcer l'installation (je ne connais plus la syntaxe exacte avec apt, tu peux aussi le faire avec synaptic) de la version "normal" de cette librairie.

Puis tu refais un apt-get -f install

Avec un peu de chance...

D'accord, je vais essayer. Je te redit mes résultats dans peu de temps.

Hors ligne

#4 Le 22/02/2013, à 14:24

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

Donc j'ai fait :

root@Pavilion:~# rm /etc/apt/sources.list
root@Pavilion:~# apt-get clean
root@Pavilion:~# apt-get update

Jusque là tout c'est bien passé.

Mais maintenant :

root@Pavilion:~# apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  gir1.2-javascriptcoregtk-3.0 libsane-common manpages-dev libwnck-common
  cairo-dock-data libwebkitgtk-3.0-common syslinux-common lxmenu-data
  wireless-regdb vlc-data cairo-dock-plug-ins-data gimp-data
  ttf-ubuntu-font-family
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  accountsservice ace-of-penguins acl adduser alsa-base alsa-utils
  alsamixergui anacron apparmor apport apport-gtk apt apt-transport-https
  apt-utils apt-xapian-index aptdaemon aptitude asmixer aspell aspell-en
  aspell-fr at audacious audacious-plugins b43-fwcutter base-files base-passwd
  bash bash-completion bc bind9-host binutils bsdmainutils bsdutils
  busybox-initramfs bzip2 ca-certificates cabextract cairo-dock
  cairo-dock-core cairo-dock-plug-ins
  cairo-dock-plug-ins-dbus-interface-python cairo-dock-plug-ins-integration
  command-not-found console-setup consolekit coreutils cpio cpp cpp-4.6 crda
  cron cups cups-client cups-driver-gutenprint cups-filters cups-ppdc curl
  dash dbus dbus-x11 dconf dconf-gsettings-backend dconf-service debconf
  debconf-i18n debianutils desktop-file-utils dictionaries-common diffutils
  dmidecode dmsetup dnsmasq-base dnsutils dosfstools dpkg e2fslibs e2fsprogs
  ed eject elementary-icon-theme evince evince-common file file-roller
  findutils firefox firefox-globalmenu firmware-b43-installer
  flashplugin-installer fontconfig fontconfig-config
  foomatic-db-compressed-ppds foomatic-filters friendly-recovery ftp fuse
  galculator gconf-defaults-service gconf-editor gconf-service
  gconf-service-backend gconf2 gconf2-common gdebi gdebi-core genisoimage
  gettext-base ghostscript ghostscript-cups ghostscript-x giblib1 gimp
  gir1.2-appindicator3-0.1 gir1.2-atk-1.0 gir1.2-dbusmenu-glib-0.4
  gir1.2-dee-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0
  gir1.2-gtk-3.0 gir1.2-notify-0.7 gir1.2-pango-1.0 gir1.2-soup-2.4
  gir1.2-unity-5.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gksu glib-networking
  glib-networking-services gnome-disk-utility gnome-icon-theme
  gnome-icon-theme-full gnome-keyring gnome-system-tools gnome-time-admin
  gnupg gpgv gpicview grep groff-base grub-common grub-gfxpayload-lists
  grub-pc grub-pc-bin grub2-common gs-cjk-resource gsettings-desktop-schemas
  gstreamer0.10-ffmpeg gstreamer0.10-fluendo-mp3 gstreamer0.10-nice
  gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse
  gstreamer0.10-plugins-base gstreamer0.10-plugins-good
  gstreamer0.10-plugins-ugly gtk2-engines gtk2-engines-murrine
  gtk2-engines-pixbuf gtk3-engines-unico gucharmap gvfs gvfs-common
  gvfs-daemons gvfs-fuse gvfs-libs gzip hardinfo hdparm hostname
  humanity-icon-theme hunspell-en-us hunspell-fr ibus ifupdown info
  initramfs-tools initramfs-tools-bin initscripts inputattach insserv
  install-info iproute iptables iputils-arping iputils-ping iputils-tracepath
  irqbalance isc-dhcp-client isc-dhcp-common jockey-common jockey-gtk kbd
  keyboard-configuration language-pack-en language-pack-en-base
  language-pack-fr language-pack-fr-base language-pack-gnome-en
  language-pack-gnome-en-base language-pack-gnome-fr
  language-pack-gnome-fr-base language-selector-common language-selector-gnome
  laptop-detect leafpad less liba52-0.7.4 libaa1 libabiword-2.9
  libaccountsservice0 libacl1 libappindicator3-1 libapr1 libaprutil1
  libapt-inst1.4 libapt-pkg4.12 libarchive12 libasn1-8-heimdal libasound2
  libasound2-plugins libaspell15 libass4 libasyncns0 libatasmart4 libatk1.0-0
  libattr1 libaudclient2 libaudcore1 libaudio2 libaudiofile1 libavahi-client3
  libavahi-common3 libavahi-glib1 libavahi-ui-gtk3-0 libavc1394-0 libavcodec53
  libavformat53 libavutil51 libbabl-0.0-0 libbind9-80 libbinio1ldbl libblkid1
  libbluray1 libboost-iostreams1.46.1 libbs2b0 libbsd0 libburn4 libbz2-1.0
  libc6 libcaca0 libcairo-gobject2 libcairo2 libcanberra-gtk3-0 libcanberra0
  libcap-ng0 libcap2 libcap2-bin libcdaudio1 libcddb2 libcdio-cdda1
  libcdio-paranoia1 libcdio13 libcdparanoia0 libcelt0-0 libck-connector0
  libclass-accessor-perl libcomerr2 libcompfaceg1 libcroco3
  libcrypt-passwdmd5-perl libcrystalhd3 libcue1 libcups2 libcupscgi1
  libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3
  libcurl3-gnutls libcwidget3 libdatrie1 libdb4.8 libdb5.1 libdbus-1-3
  libdbus-glib-1-2 libdbusmenu-glib4 libdbusmenu-gtk3-4 libdbusmenu-gtk4
  libdc1394-22 libdca0 libdconf0 libdee-1.0-4 libdevmapper-event1.02.1
  libdevmapper1.02.1 libdirac-encoder0 libdirectfb-1.2-9 libdiscid0
  libdjvulibre21 libdns81 libdrm-intel1 libdrm-nouveau1a libdrm-radeon1
  libdrm2 libdv4 libdvbpsi7 libdvdnav4 libdvdread4 libebml3 libedit2 libelf1
  libenca0 libenchant1c2a libencode-locale-perl libept1.4.12 libesd0
  libetpan15 libevent-2.0-5 libevince3-3 libexif12 libexo-1-0 libexo-common
  libexpat1 libfaac0 libfaad2 libfarstream-0.1-0 libffi6 libfftw3-3
  libfile-copy-recursive-perl libfile-listing-perl libflac8 libflite1
  libfltk1.1 libfluidsynth1 libfm-gtk-data libfm-gtk1 libfm1 libfontconfig1
  libfontenc1 libframe6 libfreetype6 libfribidi0 libfs6 libfuse2 libgail-3-0
  libgail18 libgcc1 libgck-1-0 libgconf-2-4 libgconf2-4 libgcr-3-1 libgcrypt11
  libgd2-xpm libgdbm3 libgdk-pixbuf2.0-0 libgdu-gtk0 libgdu0 libgee2
  libgegl-0.0-0 libgeis1 libgeoclue0 libgeoip1 libgettextpo0 libgif4
  libgimp2.0 libgirepository-1.0-1 libgksu2-0 libgl1-mesa-dri libgl1-mesa-glx
  libglade2-0 libglapi-mesa libgldi3 libglib2.0-0 libglib2.0-bin libglu1-mesa
  libgme0 libgmlib0 libgmp10 libgmtk0 libgnome-bluetooth8 libgnome-keyring0
  libgnome-menu2 libgnutls26 libgoffice-0.8-8 libgomp1 libgpg-error0
  libgpgme11 libgphoto2-2 libgphoto2-port0 libgpm2 libgpod4 libgrail5
  libgringotts2 libgrip0 libgs9 libgsf-1-114 libgsm1 libgssapi-krb5-2
  libgssapi3-heimdal libgssdp-1.0-3 libgstreamer-plugins-bad0.10-0
  libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk-3-0 libgtk-3-bin
  libgtk-3-common libgtk2.0-0 libgtkspell0 libgtop2-7 libgucharmap-2-90-7
  libgudev-1.0-0 libguess1 libgupnp-1.0-4 libgupnp-igd-1.0-4 libgutenprint2
  libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal
  libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl
  libhttp-cookies-perl libhttp-date-perl libhttp-message-perl
  libhttp-negotiate-perl libhunspell-1.3-0 libhx509-5-heimdal libibus-1.0-0
  libical0 libice6 libicu48 libid3tag0 libidn11 libido3-0.1-0 libiec61883-0
  libieee1284-3 libijs-0.35 libilmbase6 libimlib2 libimobiledevice2
  libindicator3-7 libindicator7 libio-socket-ssl-perl libio-string-perl
  libirrlicht1.7a libisc83 libisccc80 libisccfg82 libiso9660-8 libisofs6
  libiw30 libjack-jackd2-0 libjasper1 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libjbig2dec0 libjpeg-turbo8 libjpeg62 libjpeg8
  libjson0 libjte1 libjthread1.3.1 libk5crypto3 libkate1 libkeyutils1
  libkpathsea5 libkrb5-26-heimdal libkrb5-3 libkrb5support0
  liblaunchpad-integration-3.0-1 liblaunchpad-integration1 liblcms1 liblcms2-2
  libldap-2.4-2 liblightdm-gobject-1-0 liblircclient0 libllvm3.0
  liblocale-gettext-perl liblockfile-bin liblockfile1 libloudmouth1-0 libltdl7
  liblua5.1-0 liblvm2app2.2 liblwp-mediatypes-perl liblwp-protocol-https-perl
  liblwres80 liblzma5 libmad0 libmagic1 libmatroska5 libmcrypt4 libmeanwhile1
  libmenu-cache1 libmhash2 libmimic0 libminiupnpc8 libmjpegtools-1.9 libmms0
  libmng1 libmodplug1 libmount1 libmowgli2 libmp3lame0 libmpc2 libmpcdec6
  libmpeg2-4 libmpfr4 libmpg123-0 libmtdev1 libmtp9 libmusicbrainz3-6
  libnautilus-extension1a libncurses5 libncursesw5 libneon27-gnutls
  libnet-dbus-perl libnet-http-perl libnet-ssleay-perl libnetfilter-conntrack3
  libnettle4 libnewt0.52 libnfnetlink0 libnice10 libnih-dbus1 libnih1
  libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libnm-glib-vpn1 libnm-glib4
  libnm-gtk0 libnm-util2 libnotify4 libnspr4 libnspr4-0d libnss3 libnss3-1d
  libobrender27 libobt0 libodbc1 libofa0 libogg0 liboil0.3 libonig2
  liboobs-1-5 libopenal1 libopencore-amrnb0 libopencore-amrwb0 libopenexr6
  libopenobex1 libopenspc0 libopts25 liborc-0.4-0 libots0 libp11-kit0
  libpam-ck-connector libpam-modules libpam-modules-bin libpam-runtime
  libpam0g libpango1.0-0 libpaper1 libparse-debianchangelog-perl
  libparted0debian1 libpcap0.8 libpci3 libpciaccess0 libpcre3 libpcsclite1
  libperl5.14 libpipeline1 libpixman-1-0 libplist1 libplymouth2 libpng12-0
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0
  libpoppler-glib8 libpoppler19 libpopt0 libportaudio2 libpostproc52 libproxy1
  libpth20 libpulse-mainloop-glib0 libpulse0 libpurple0 libpython2.7
  libqt4-dbus libqt4-declarative libqt4-network libqt4-script libqt4-sql
  libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4 libquicktime2
  libraptor2-0 librasqal3 libraw1394-11 librdf0 libreadline6
  libresid-builder0c2a libroken18-heimdal librsvg2-2 librsvg2-common librtmp0
  libsamplerate0 libsane libsasl2-2 libsasl2-modules libschroedinger-1.0-0
  libsdl-image1.2 libsdl1.2debian libselinux1 libsensors4 libsgutils2-2
  libshout3 libsidplay1 libsidplay2 libsigc++-2.0-0c2a libslang2 libslp1
  libslv2-9 libsm6 libsmbclient libsndfile1 libsoundtouch0 libsoup-gnome2.4-1
  libsoup2.4-1 libspandsp2 libspectre1 libspeex1 libspeexdsp1 libsqlite3-0
  libss2 libssl1.0.0 libstartup-notification0 libstdc++6 libsub-name-perl
  libsvn1 libswitch-perl libswscale2 libsysfs2 libt1-5 libtag1-vanilla
  libtag1c2a libtalloc2 libtar0 libtasn1-3 libtdb1 libtelepathy-glib0
  libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libthai0
  libtheora0 libtidy-0.99-0 libtiff4 libtimedate-perl libtinfo5 libts-0.0-0
  libtwolame0 libudev0 libuniconf4.6 libunique-3.0-0 libunistring0 libunity9
  libupnp3 libupower-glib1 liburi-perl libusb-0.1-4 libusb-1.0-0 libusbmuxd1
  libutouch-evemu1 libutouch-frame1 libutouch-geis1 libutouch-grail1 libuuid1
  libv4l-0 libv4lconvert0 libva-x11-1 libva1 libvcdinfo0 libvdpau1
  libvisual-0.4-0 libvlc5 libvlccore5 libvo-aacenc0 libvo-amrwbenc0
  libvorbis0a libvorbisenc2 libvorbisfile3 libvpx1 libvte-2.90-9 libvte9
  libwavpack1 libwbclient0 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libwildmidi1
  libwind0-heimdal libwmf0.2-7 libwnck22 libwpd-0.9-9 libwpg-0.2-2
  libwps-0.2-2 libwrap0 libwv-1.2-4 libwvstreams4.6-base
  libwvstreams4.6-extras libwww-perl libwww-robotrules-perl libx11-6
  libx11-xcb1 libx264-120 libxapian22 libxatracker1 libxau6 libxaw7
  libxcb-composite0 libxcb-dri2-0 libxcb-glx0 libxcb-keysyms1 libxcb-randr0
  libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-util0 libxcb-xv0 libxcb1
  libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfce4ui-1-0
  libxfce4util4 libxfconf-0-2 libxfixes3 libxfont1 libxft2 libxi6 libxinerama1
  libxkbfile1 libxklavier16 libxml-parser-perl libxml-twig-perl libxml2
  libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxrender1 libxres1 libxslt1.1
  libxss1 libxt6 libxtst6 libxv1 libxvidcore4 libxvmc1 libxxf86dga1
  libxxf86vm1 libyajl1 libzbar0 libzeitgeist-1.0-1 libzephyr4 libzvbi0 lightdm
  lightdm-gtk-greeter linux-generic linux-headers-3.2.0-23
  linux-headers-3.2.0-23-generic linux-headers-3.2.0-32
  linux-headers-3.2.0-32-generic linux-headers-3.2.0-33
  linux-headers-3.2.0-33-generic linux-headers-generic
  linux-image-3.2.0-23-generic linux-image-3.2.0-32-generic
  linux-image-3.2.0-33-generic linux-image-generic linux-sound-base locales
  lockfile-progs login logrotate lsb-base lsb-release lshw lsof ltrace
  lubuntu-artwork lubuntu-artwork-12-04 lubuntu-core lubuntu-default-settings
  lubuntu-icon-theme lubuntu-software-center lxappearance lxappearance-obconf
  lxinput lxkeymap lxlauncher lxpanel lxpanel-indicator-applet-plugin lxrandr
  lxsession lxsession-edit lxshortcut lxtask lxterminal make makedev man-db
  mawk memtest86+ minetest mlocate module-init-tools mount mountall mplayer2
  mtools mtr-tiny multiarch-support nano nautilus-data ncurses-bin net-tools
  netbase netcat-openbsd network-manager network-manager-gnome ntfs-3g ntp
  ntpdate nvidia-common obconf odbcinst odbcinst1debian2 openbox
  openprinting-ppds openssh-client openssl os-prober parted passwd patch
  pciutils pcmanfm perl perl-base perl-modules pidgin pidgin-microblog
  plymouth plymouth-label plymouth-theme-lubuntu-logo
  plymouth-theme-lubuntu-text plymouth-theme-ubuntu-text pm-utils policykit-1
  policykit-1-gnome poppler-utils popularity-contest powermgmt-base ppp
  pppconfig pppoeconf printer-driver-gutenprint printer-driver-pnm2ppa procps
  psmisc python python-apport python-apt python-apt-common python-aptdaemon
  python-aptdaemon.gtk3widgets python-cairo python-chardet python-cups
  python-cupshelpers python-dbus python-debian python-defer python-gdbm
  python-gi python-gi-cairo python-gnomekeyring python-gnupginterface
  python-gobject python-gobject-2 python-gst0.10 python-gtk2 python-httplib2
  python-ibus python-keyring python-launchpadlib python-lazr.restfulclient
  python-lazr.uri python-libxml2 python-minimal python-notify python-oauth
  python-openssl python-pam python-pkg-resources python-problem-report
  python-pycurl python-pysqlite2 python-serial python-simplejson python-smbc
  python-software-properties python-support python-twisted-bin
  python-twisted-core python-twisted-web python-ubuntu-sso-client
  python-wadllib python-xapian python-xdg python-xkit python-xklavier
  python-zeitgeist python-zope.interface python2.7 python2.7-minimal
  readline-common resolvconf rfkill rsync rsyslog sane-utils scrot sed
  sessioninstaller shared-mime-info simple-scan sl software-properties-common
  software-properties-gtk ssl-cert strace subversion sudo synaptic syslinux
  syslinux-legacy system-config-printer-common system-config-printer-gnome
  system-tools-backends sysv-rc sysvinit-utils tar tcpdump teamspeak-client
  telnet time tzdata ubuntu-extras-keyring ubuntu-minimal ubuntu-sso-client
  ubuntu-sso-client-gtk ubuntu-standard ucf udev udisks ufw
  unattended-upgrades unrar unzip update-inetd update-manager
  update-manager-core update-notifier-common upower upstart ureadahead
  usb-creator-common usb-creator-gtk usb-modeswitch usb-modeswitch-data
  usbmuxd usbutils util-linux uuid-runtime vim-common vim-tiny vlc vlc-nox
  vlc-plugin-notify vlc-plugin-pulse wamerican wbritish wfrench wget whiptail
  wireless-tools wpasupplicant wvdial x11-apps x11-common x11-session-utils
  x11-utils x11-xfs-utils x11-xkb-utils x11-xserver-utils xauth xdg-user-dirs
  xfburn xfce4-power-manager xfconf xfonts-base xfonts-encodings xfonts-utils
  xinit xinput xml-core xorg xpad xserver-common xserver-xorg
  xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all
  xserver-xorg-video-ati xserver-xorg-video-cirrus xserver-xorg-video-fbdev
  xserver-xorg-video-geode xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-qxl xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-s3 xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-vesa xserver-xorg-video-vmware xul-ext-ubufox xz-lzma
  xz-utils zeitgeist zeitgeist-core zeitgeist-datahub zip zlib1g
ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  apt libapt-pkg4.12 (en raison de apt) libc6 (en raison de apt) libgcc1 (en
  raison de apt) libstdc++6 (en raison de apt) gnupg (en raison de apt) dpkg
  (en raison de apt) base-files mawk (en raison de base-files) base-passwd
  bash debianutils (en raison de bash) dash (en raison de bash) libtinfo5 (en
  raison de bash) bsdutils coreutils install-info (en raison de coreutils)
  libacl1 (en raison de coreutils) libattr1 (en raison de coreutils)
  libselinux1 (en raison de coreutils) diffutils libbz2-1.0 (en raison de
  dpkg) zlib1g (en raison de dpkg) tar (en raison de dpkg) xz-utils (en raison
  de dpkg) e2fsprogs e2fslibs (en raison de e2fsprogs) libblkid1 (en raison de
  e2fsprogs) libcomerr2 (en raison de e2fsprogs) libss2 (en raison de
  e2fsprogs) libuuid1 (en raison de e2fsprogs) util-linux (en raison de
  e2fsprogs) findutils grep gzip hostname upstart (en raison de hostname)
  login libpam0g (en raison de login) libpam-runtime (en raison de login)
  libpam-modules (en raison de login) mount libmount1 (en raison de mount)
  ncurses-bin perl-base python-minimal python2.7-minimal (en raison de
  python-minimal) sed lsb-base (en raison de util-linux) tzdata (en raison de
  util-linux) debconf (en raison de util-linux) libncurses5 (en raison de
  util-linux) libslang2 (en raison de util-linux)
0 mis à jour, 0 nouvellement installés, 1068 à enlever et 0 non mis à jour.
Après cette opération, 1 609 Mo d'espace disque seront libérés.
Vous êtes sur le point de faire quelque chose de potentiellement dangereux
Pour continuer, tapez la phrase « Oui, faites ce que je vous dis ! »
 ?]

Je fais quoi... ?

Hors ligne

#5 Le 22/02/2013, à 14:42

Hoper

Re : [HELP] Dépendances non satisfaites.

...
Aie.

(Je viens de me foutre une baffe)

Quand je disais :
"Nettoyage radicale du fichier /etc/apt/sources.list (suppression de toutes les sources non officielles et directement liés à lucid)"

Ca ne voulait absolument pas dire qu'il fallait effacer le fichier !
Bon, il y a pas mort d'homme, mais le contenu entre parenthèse avait son importance... il fallait éditer le fichier, et supprimer toutes les lignes que tu aurai pu ajouter à l’intérieur, volontairement ou pas.

Donc surtout, tu ne répond pas yes à la question posé, tu quitte tout.
Ensuite, il faut recréer le fichier /etc/apt/sources.list avec ceci à l’intérieur :

deb http://fr.archive.ubuntu.com/ubuntu/ lucid main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ lucid universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates multiverse
deb http://security.ubuntu.com/ubuntu lucid-security main restricted
deb http://security.ubuntu.com/ubuntu lucid-security universe
deb http://security.ubuntu.com/ubuntu lucid-security multiverse

Pour ça, tu tape :
gksudo gedit /etc/apt/sources.list
tu copie/colle le texte à l'interieur et tu sauvegarde.

Ensuite, tu essaye :

sudo apt-get update
sudo apt-get install ubuntu-desktop

Et tu me dis ce que ça renvoi.


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#6 Le 22/02/2013, à 14:55

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

Arf, je croyais qu'il fallait le supprimer. ^^'
Bref, c'est bon je l'ai remit à sa place.

Donc après avoir fait :

sudo apt-get update
sudo apt-get install ubuntu-dekstop

Cela me dit comme d'habitude :

E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Hors ligne

#7 Le 22/02/2013, à 15:04

Hoper

Re : [HELP] Dépendances non satisfaites.

refais un apt-get -f install,
puis donne moi aussi le résultat de :

dpkg -l | grep libc6


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#8 Le 22/02/2013, à 15:09

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

Résultat de " apt-get -f install " :
(le même que tout à l'heure)

root@Pavilion:~# apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances        
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  gir1.2-javascriptcoregtk-3.0 libsane-common manpages-dev libwnck-common
  cairo-dock-data libwebkitgtk-3.0-common syslinux-common lxmenu-data
  wireless-regdb vlc-data cairo-dock-plug-ins-data gimp-data
  ttf-ubuntu-font-family
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  accountsservice ace-of-penguins acl adduser alsa-base alsa-utils
  alsamixergui anacron apparmor apport apport-gtk apt apt-transport-https
  apt-utils apt-xapian-index aptdaemon aptitude asmixer aspell aspell-en
  aspell-fr at audacious audacious-plugins b43-fwcutter base-files base-passwd
  bash bash-completion bc bind9-host binutils bsdmainutils bsdutils
  busybox-initramfs bzip2 ca-certificates cabextract cairo-dock
  cairo-dock-core cairo-dock-plug-ins
  cairo-dock-plug-ins-dbus-interface-python cairo-dock-plug-ins-integration
  command-not-found console-setup consolekit coreutils cpio cpp cpp-4.6 crda
  cron cups cups-client cups-driver-gutenprint cups-filters cups-ppdc curl
  dash dbus dbus-x11 dconf dconf-gsettings-backend dconf-service debconf
  debconf-i18n debianutils desktop-file-utils dictionaries-common diffutils
  dmidecode dmsetup dnsmasq-base dnsutils dosfstools dpkg e2fslibs e2fsprogs
  ed eject elementary-icon-theme evince evince-common file file-roller
  findutils firefox firefox-globalmenu firmware-b43-installer
  flashplugin-installer fontconfig fontconfig-config
  foomatic-db-compressed-ppds foomatic-filters friendly-recovery ftp fuse
  galculator gconf-defaults-service gconf-editor gconf-service
  gconf-service-backend gconf2 gconf2-common gdebi gdebi-core genisoimage
  gettext-base ghostscript ghostscript-cups ghostscript-x giblib1 gimp
  gir1.2-appindicator3-0.1 gir1.2-atk-1.0 gir1.2-dbusmenu-glib-0.4
  gir1.2-dee-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0
  gir1.2-gtk-3.0 gir1.2-notify-0.7 gir1.2-pango-1.0 gir1.2-soup-2.4
  gir1.2-unity-5.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gksu glib-networking
  glib-networking-services gnome-disk-utility gnome-icon-theme
  gnome-icon-theme-full gnome-keyring gnome-system-tools gnome-time-admin
  gnupg gpgv gpicview grep groff-base grub-common grub-gfxpayload-lists
  grub-pc grub-pc-bin grub2-common gs-cjk-resource gsettings-desktop-schemas
  gstreamer0.10-ffmpeg gstreamer0.10-fluendo-mp3 gstreamer0.10-nice
  gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse
  gstreamer0.10-plugins-base gstreamer0.10-plugins-good
  gstreamer0.10-plugins-ugly gtk2-engines gtk2-engines-murrine
  gtk2-engines-pixbuf gtk3-engines-unico gucharmap gvfs gvfs-common
  gvfs-daemons gvfs-fuse gvfs-libs gzip hardinfo hdparm hostname
  humanity-icon-theme hunspell-en-us hunspell-fr ibus ifupdown info
  initramfs-tools initramfs-tools-bin initscripts inputattach insserv
  install-info iproute iptables iputils-arping iputils-ping iputils-tracepath
  irqbalance isc-dhcp-client isc-dhcp-common jockey-common jockey-gtk kbd
  keyboard-configuration language-pack-en language-pack-en-base
  language-pack-fr language-pack-fr-base language-pack-gnome-en
  language-pack-gnome-en-base language-pack-gnome-fr
  language-pack-gnome-fr-base language-selector-common language-selector-gnome
  laptop-detect leafpad less liba52-0.7.4 libaa1 libabiword-2.9
  libaccountsservice0 libacl1 libappindicator3-1 libapr1 libaprutil1
  libapt-inst1.4 libapt-pkg4.12 libarchive12 libasn1-8-heimdal libasound2
  libasound2-plugins libaspell15 libass4 libasyncns0 libatasmart4 libatk1.0-0
  libattr1 libaudclient2 libaudcore1 libaudio2 libaudiofile1 libavahi-client3
  libavahi-common3 libavahi-glib1 libavahi-ui-gtk3-0 libavc1394-0 libavcodec53
  libavformat53 libavutil51 libbabl-0.0-0 libbind9-80 libbinio1ldbl libblkid1
  libbluray1 libboost-iostreams1.46.1 libbs2b0 libbsd0 libburn4 libbz2-1.0
  libc6 libcaca0 libcairo-gobject2 libcairo2 libcanberra-gtk3-0 libcanberra0
  libcap-ng0 libcap2 libcap2-bin libcdaudio1 libcddb2 libcdio-cdda1
  libcdio-paranoia1 libcdio13 libcdparanoia0 libcelt0-0 libck-connector0
  libclass-accessor-perl libcomerr2 libcompfaceg1 libcroco3
  libcrypt-passwdmd5-perl libcrystalhd3 libcue1 libcups2 libcupscgi1
  libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3
  libcurl3-gnutls libcwidget3 libdatrie1 libdb4.8 libdb5.1 libdbus-1-3
  libdbus-glib-1-2 libdbusmenu-glib4 libdbusmenu-gtk3-4 libdbusmenu-gtk4
  libdc1394-22 libdca0 libdconf0 libdee-1.0-4 libdevmapper-event1.02.1
  libdevmapper1.02.1 libdirac-encoder0 libdirectfb-1.2-9 libdiscid0
  libdjvulibre21 libdns81 libdrm-intel1 libdrm-nouveau1a libdrm-radeon1
  libdrm2 libdv4 libdvbpsi7 libdvdnav4 libdvdread4 libebml3 libedit2 libelf1
  libenca0 libenchant1c2a libencode-locale-perl libept1.4.12 libesd0
  libetpan15 libevent-2.0-5 libevince3-3 libexif12 libexo-1-0 libexo-common
  libexpat1 libfaac0 libfaad2 libfarstream-0.1-0 libffi6 libfftw3-3
  libfile-copy-recursive-perl libfile-listing-perl libflac8 libflite1
  libfltk1.1 libfluidsynth1 libfm-gtk-data libfm-gtk1 libfm1 libfontconfig1
  libfontenc1 libframe6 libfreetype6 libfribidi0 libfs6 libfuse2 libgail-3-0
  libgail18 libgcc1 libgck-1-0 libgconf-2-4 libgconf2-4 libgcr-3-1 libgcrypt11
  libgd2-xpm libgdbm3 libgdk-pixbuf2.0-0 libgdu-gtk0 libgdu0 libgee2
  libgegl-0.0-0 libgeis1 libgeoclue0 libgeoip1 libgettextpo0 libgif4
  libgimp2.0 libgirepository-1.0-1 libgksu2-0 libgl1-mesa-dri libgl1-mesa-glx
  libglade2-0 libglapi-mesa libgldi3 libglib2.0-0 libglib2.0-bin libglu1-mesa
  libgme0 libgmlib0 libgmp10 libgmtk0 libgnome-bluetooth8 libgnome-keyring0
  libgnome-menu2 libgnutls26 libgoffice-0.8-8 libgomp1 libgpg-error0
  libgpgme11 libgphoto2-2 libgphoto2-port0 libgpm2 libgpod4 libgrail5
  libgringotts2 libgrip0 libgs9 libgsf-1-114 libgsm1 libgssapi-krb5-2
  libgssapi3-heimdal libgssdp-1.0-3 libgstreamer-plugins-bad0.10-0
  libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk-3-0 libgtk-3-bin
  libgtk-3-common libgtk2.0-0 libgtkspell0 libgtop2-7 libgucharmap-2-90-7
  libgudev-1.0-0 libguess1 libgupnp-1.0-4 libgupnp-igd-1.0-4 libgutenprint2
  libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal
  libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl
  libhttp-cookies-perl libhttp-date-perl libhttp-message-perl
  libhttp-negotiate-perl libhunspell-1.3-0 libhx509-5-heimdal libibus-1.0-0
  libical0 libice6 libicu48 libid3tag0 libidn11 libido3-0.1-0 libiec61883-0
  libieee1284-3 libijs-0.35 libilmbase6 libimlib2 libimobiledevice2
  libindicator3-7 libindicator7 libio-socket-ssl-perl libio-string-perl
  libirrlicht1.7a libisc83 libisccc80 libisccfg82 libiso9660-8 libisofs6
  libiw30 libjack-jackd2-0 libjasper1 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libjbig2dec0 libjpeg-turbo8 libjpeg62 libjpeg8
  libjson0 libjte1 libjthread1.3.1 libk5crypto3 libkate1 libkeyutils1
  libkpathsea5 libkrb5-26-heimdal libkrb5-3 libkrb5support0
  liblaunchpad-integration-3.0-1 liblaunchpad-integration1 liblcms1 liblcms2-2
  libldap-2.4-2 liblightdm-gobject-1-0 liblircclient0 libllvm3.0
  liblocale-gettext-perl liblockfile-bin liblockfile1 libloudmouth1-0 libltdl7
  liblua5.1-0 liblvm2app2.2 liblwp-mediatypes-perl liblwp-protocol-https-perl
  liblwres80 liblzma5 libmad0 libmagic1 libmatroska5 libmcrypt4 libmeanwhile1
  libmenu-cache1 libmhash2 libmimic0 libminiupnpc8 libmjpegtools-1.9 libmms0
  libmng1 libmodplug1 libmount1 libmowgli2 libmp3lame0 libmpc2 libmpcdec6
  libmpeg2-4 libmpfr4 libmpg123-0 libmtdev1 libmtp9 libmusicbrainz3-6
  libnautilus-extension1a libncurses5 libncursesw5 libneon27-gnutls
  libnet-dbus-perl libnet-http-perl libnet-ssleay-perl libnetfilter-conntrack3
  libnettle4 libnewt0.52 libnfnetlink0 libnice10 libnih-dbus1 libnih1
  libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libnm-glib-vpn1 libnm-glib4
  libnm-gtk0 libnm-util2 libnotify4 libnspr4 libnspr4-0d libnss3 libnss3-1d
  libobrender27 libobt0 libodbc1 libofa0 libogg0 liboil0.3 libonig2
  liboobs-1-5 libopenal1 libopencore-amrnb0 libopencore-amrwb0 libopenexr6
  libopenobex1 libopenspc0 libopts25 liborc-0.4-0 libots0 libp11-kit0
  libpam-ck-connector libpam-modules libpam-modules-bin libpam-runtime
  libpam0g libpango1.0-0 libpaper1 libparse-debianchangelog-perl
  libparted0debian1 libpcap0.8 libpci3 libpciaccess0 libpcre3 libpcsclite1
  libperl5.14 libpipeline1 libpixman-1-0 libplist1 libplymouth2 libpng12-0
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0
  libpoppler-glib8 libpoppler19 libpopt0 libportaudio2 libpostproc52 libproxy1
  libpth20 libpulse-mainloop-glib0 libpulse0 libpurple0 libpython2.7
  libqt4-dbus libqt4-declarative libqt4-network libqt4-script libqt4-sql
  libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4 libquicktime2
  libraptor2-0 librasqal3 libraw1394-11 librdf0 libreadline6
  libresid-builder0c2a libroken18-heimdal librsvg2-2 librsvg2-common librtmp0
  libsamplerate0 libsane libsasl2-2 libsasl2-modules libschroedinger-1.0-0
  libsdl-image1.2 libsdl1.2debian libselinux1 libsensors4 libsgutils2-2
  libshout3 libsidplay1 libsidplay2 libsigc++-2.0-0c2a libslang2 libslp1
  libslv2-9 libsm6 libsmbclient libsndfile1 libsoundtouch0 libsoup-gnome2.4-1
  libsoup2.4-1 libspandsp2 libspectre1 libspeex1 libspeexdsp1 libsqlite3-0
  libss2 libssl1.0.0 libstartup-notification0 libstdc++6 libsub-name-perl
  libsvn1 libswitch-perl libswscale2 libsysfs2 libt1-5 libtag1-vanilla
  libtag1c2a libtalloc2 libtar0 libtasn1-3 libtdb1 libtelepathy-glib0
  libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libthai0
  libtheora0 libtidy-0.99-0 libtiff4 libtimedate-perl libtinfo5 libts-0.0-0
  libtwolame0 libudev0 libuniconf4.6 libunique-3.0-0 libunistring0 libunity9
  libupnp3 libupower-glib1 liburi-perl libusb-0.1-4 libusb-1.0-0 libusbmuxd1
  libutouch-evemu1 libutouch-frame1 libutouch-geis1 libutouch-grail1 libuuid1
  libv4l-0 libv4lconvert0 libva-x11-1 libva1 libvcdinfo0 libvdpau1
  libvisual-0.4-0 libvlc5 libvlccore5 libvo-aacenc0 libvo-amrwbenc0
  libvorbis0a libvorbisenc2 libvorbisfile3 libvpx1 libvte-2.90-9 libvte9
  libwavpack1 libwbclient0 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libwildmidi1
  libwind0-heimdal libwmf0.2-7 libwnck22 libwpd-0.9-9 libwpg-0.2-2
  libwps-0.2-2 libwrap0 libwv-1.2-4 libwvstreams4.6-base
  libwvstreams4.6-extras libwww-perl libwww-robotrules-perl libx11-6
  libx11-xcb1 libx264-120 libxapian22 libxatracker1 libxau6 libxaw7
  libxcb-composite0 libxcb-dri2-0 libxcb-glx0 libxcb-keysyms1 libxcb-randr0
  libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-util0 libxcb-xv0 libxcb1
  libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfce4ui-1-0
  libxfce4util4 libxfconf-0-2 libxfixes3 libxfont1 libxft2 libxi6 libxinerama1
  libxkbfile1 libxklavier16 libxml-parser-perl libxml-twig-perl libxml2
  libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxrender1 libxres1 libxslt1.1
  libxss1 libxt6 libxtst6 libxv1 libxvidcore4 libxvmc1 libxxf86dga1
  libxxf86vm1 libyajl1 libzbar0 libzeitgeist-1.0-1 libzephyr4 libzvbi0 lightdm
  lightdm-gtk-greeter linux-generic linux-headers-3.2.0-23
  linux-headers-3.2.0-23-generic linux-headers-3.2.0-32
  linux-headers-3.2.0-32-generic linux-headers-3.2.0-33
  linux-headers-3.2.0-33-generic linux-headers-generic
  linux-image-3.2.0-23-generic linux-image-3.2.0-32-generic
  linux-image-3.2.0-33-generic linux-image-generic linux-sound-base locales
  lockfile-progs login logrotate lsb-base lsb-release lshw lsof ltrace
  lubuntu-artwork lubuntu-artwork-12-04 lubuntu-core lubuntu-default-settings
  lubuntu-icon-theme lubuntu-software-center lxappearance lxappearance-obconf
  lxinput lxkeymap lxlauncher lxpanel lxpanel-indicator-applet-plugin lxrandr
  lxsession lxsession-edit lxshortcut lxtask lxterminal make makedev man-db
  mawk memtest86+ minetest mlocate module-init-tools mount mountall mplayer2
  mtools mtr-tiny multiarch-support nano nautilus-data ncurses-bin net-tools
  netbase netcat-openbsd network-manager network-manager-gnome ntfs-3g ntp
  ntpdate nvidia-common obconf odbcinst odbcinst1debian2 openbox
  openprinting-ppds openssh-client openssl os-prober parted passwd patch
  pciutils pcmanfm perl perl-base perl-modules pidgin pidgin-microblog
  plymouth plymouth-label plymouth-theme-lubuntu-logo
  plymouth-theme-lubuntu-text plymouth-theme-ubuntu-text pm-utils policykit-1
  policykit-1-gnome poppler-utils popularity-contest powermgmt-base ppp
  pppconfig pppoeconf printer-driver-gutenprint printer-driver-pnm2ppa procps
  psmisc python python-apport python-apt python-apt-common python-aptdaemon
  python-aptdaemon.gtk3widgets python-cairo python-chardet python-cups
  python-cupshelpers python-dbus python-debian python-defer python-gdbm
  python-gi python-gi-cairo python-gnomekeyring python-gnupginterface
  python-gobject python-gobject-2 python-gst0.10 python-gtk2 python-httplib2
  python-ibus python-keyring python-launchpadlib python-lazr.restfulclient
  python-lazr.uri python-libxml2 python-minimal python-notify python-oauth
  python-openssl python-pam python-pkg-resources python-problem-report
  python-pycurl python-pysqlite2 python-serial python-simplejson python-smbc
  python-software-properties python-support python-twisted-bin
  python-twisted-core python-twisted-web python-ubuntu-sso-client
  python-wadllib python-xapian python-xdg python-xkit python-xklavier
  python-zeitgeist python-zope.interface python2.7 python2.7-minimal
  readline-common resolvconf rfkill rsync rsyslog sane-utils scrot sed
  sessioninstaller shared-mime-info simple-scan sl software-properties-common
  software-properties-gtk ssl-cert strace subversion sudo synaptic syslinux
  syslinux-legacy system-config-printer-common system-config-printer-gnome
  system-tools-backends sysv-rc sysvinit-utils tar tcpdump teamspeak-client
  telnet time tzdata ubuntu-extras-keyring ubuntu-minimal ubuntu-sso-client
  ubuntu-sso-client-gtk ubuntu-standard ucf udev udisks ufw
  unattended-upgrades unrar unzip update-inetd update-manager
  update-manager-core update-notifier-common upower upstart ureadahead
  usb-creator-common usb-creator-gtk usb-modeswitch usb-modeswitch-data
  usbmuxd usbutils util-linux uuid-runtime vim-common vim-tiny vlc vlc-nox
  vlc-plugin-notify vlc-plugin-pulse wamerican wbritish wfrench wget whiptail
  wireless-tools wpasupplicant wvdial x11-apps x11-common x11-session-utils
  x11-utils x11-xfs-utils x11-xkb-utils x11-xserver-utils xauth xdg-user-dirs
  xfburn xfce4-power-manager xfconf xfonts-base xfonts-encodings xfonts-utils
  xinit xinput xml-core xorg xpad xserver-common xserver-xorg
  xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all
  xserver-xorg-video-ati xserver-xorg-video-cirrus xserver-xorg-video-fbdev
  xserver-xorg-video-geode xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-qxl xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-s3 xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-vesa xserver-xorg-video-vmware xul-ext-ubufox xz-lzma
  xz-utils zeitgeist zeitgeist-core zeitgeist-datahub zip zlib1g
ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  apt libapt-pkg4.12 (en raison de apt) libc6 (en raison de apt) libgcc1 (en
  raison de apt) libstdc++6 (en raison de apt) gnupg (en raison de apt) dpkg
  (en raison de apt) base-files mawk (en raison de base-files) base-passwd
  bash debianutils (en raison de bash) dash (en raison de bash) libtinfo5 (en
  raison de bash) bsdutils coreutils install-info (en raison de coreutils)
  libacl1 (en raison de coreutils) libattr1 (en raison de coreutils)
  libselinux1 (en raison de coreutils) diffutils libbz2-1.0 (en raison de
  dpkg) zlib1g (en raison de dpkg) tar (en raison de dpkg) xz-utils (en raison
  de dpkg) e2fsprogs e2fslibs (en raison de e2fsprogs) libblkid1 (en raison de
  e2fsprogs) libcomerr2 (en raison de e2fsprogs) libss2 (en raison de
  e2fsprogs) libuuid1 (en raison de e2fsprogs) util-linux (en raison de
  e2fsprogs) findutils grep gzip hostname upstart (en raison de hostname)
  login libpam0g (en raison de login) libpam-runtime (en raison de login)
  libpam-modules (en raison de login) mount libmount1 (en raison de mount)
  ncurses-bin perl-base python-minimal python2.7-minimal (en raison de
  python-minimal) sed lsb-base (en raison de util-linux) tzdata (en raison de
  util-linux) debconf (en raison de util-linux) libncurses5 (en raison de
  util-linux) libslang2 (en raison de util-linux)
0 mis à jour, 0 nouvellement installés, 1068 à enlever et 2 non mis à jour.
Après cette opération, 1 609 Mo d'espace disque seront libérés.
Vous êtes sur le point de faire quelque chose de potentiellement dangereux
Pour continuer, tapez la phrase « Oui, faites ce que je vous dis ! »
 ?]

Le résultat de  " dpkg -l | grep libc6 " :

root@Pavilion:~# dpkg -l | grep libc6
ii  libc6                                     2.15-0ubuntu10.3                        Embedded GNU C Library: Shared libraries
ii  libcompfaceg1                             1:1.5.2-5                               Compress/decompress images for mailheaders, libc6 runtime

Puisque libc6 est cassé et quand j'essaye de le mettre à jour cela ne marche pas... Je ferais mieux de tout formater puis de ré-installer mon Lubuntu 12.04 non ?

Hors ligne

#9 Le 22/02/2013, à 15:28

Hoper

Re : [HELP] Dépendances non satisfaites.

En dernier recours, oui. Mais la, la solution serait plutot, comme je l'indiquai dans mon premier post il me semble, de forcer la ré-installation de la bonne version de la librairie.

Que donne :
apt-cache search libc6


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#10 Le 22/02/2013, à 15:36

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

Résultat de " apt-cache search libc6 " :

root@Pavilion:~# apt-cache search libc6
libc6-dbg - Embedded GNU C Library: detached debugging symbols
manpages-pt-dev - Portuguese Versions of the Manual Pages (dev sections)
libc6 - Bibliothèque embarquée C GNU: bibliothèques partagées
libc6-amd64 - Bibliothèque GNU C : bibliothèques partagées 64bits pour AMD64
libc6-dev - Embedded GNU C Library: Development Libraries and Header Files
libc6-dev-amd64 - Bibliothèque C GNU. Bibliothèques de développement 64bits pour AMD64
libc6-i686 - Bibliothèque C GNU : bibliothèques partagées [optimisées pour i686]
libc6-pic - Embedded GNU C Library: PIC archive library
libc6-prof - Embedded GNU C Library: Profiling Libraries
libc6-xen - GNU C Library: Shared libraries [Xen version]
debian-policy - Charte Debian et documents associés
libcompfaceg1 - Compresse/décompresse les images d'en-têtes de courriels, exécutables libc6
libcompfaceg1-dev - Compress/decompress images for mailheaders, libc6 devel
manpages-ja-dev - Japanese version of the manual pages (for developers)
ubuntu-policy - Charte Debian et documents associés
apt - commandline package manager
libtext-iconv-perl - converts between character sets in Perl
apt-utils - package managment related utility programs

Hors ligne

#11 Le 22/02/2013, à 15:41

Hoper

Re : [HELP] Dépendances non satisfaites.

Mince il ne nous donne pas la version la..
Et si on fais un apt-cache show, il risque de nous donner celle de la version installée sad ON le tente quand même :

apt-cache show libc6


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#12 Le 22/02/2013, à 15:44

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

Résultats de " apt-cache show libc6 " :

root@Pavilion:~# apt-cache show libc6
Package: libc6
Status: install ok installed
Multi-Arch: same
Priority: required
Section: libs
Installed-Size: 9125
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: i386
Source: eglibc
Version: 2.15-0ubuntu10.3
Replaces: belocs-locales-bin, libc6-i386
Provides: glibc-2.13-1, libc6-i686
Depends: libc-bin (= 2.15-0ubuntu10.3), libgcc1, tzdata
Suggests: glibc-doc, debconf | debconf-2.0, locales
Breaks: libhwloc0, liblouis0 (<< 2.3.0-2), liblouisxml1 (<< 2.4.0-2), nscd (<< 2.15)
Conflicts: belocs-locales-bin, libc6-i686, prelink (<< 0.0.20090925), tzdata (<< 2007k-1), tzdata-etch
Conffiles:
 /etc/ld.so.conf.d/i686-linux-gnu.conf 1c63da36f33ec6647af1d8faff9b9795
Description-fr: Bibliothèque embarquée C GNU: bibliothèques partagées
 Contient les bibliothèques standard utilisées par la quasi-totalité du
 système. Ce paquet inclut les versions partagées des bibliothèques C
 standard et la bibliothèque standard math, ainsi que bien d'autres.
Homepage: http://www.eglibc.org
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>

Package: libc6
Priority: required
Section: libs
Installed-Size: 9248
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Architecture: i386
Source: eglibc
Version: 2.11.1-0ubuntu7.12
Replaces: belocs-locales-bin
Provides: glibc-2.10-1
Depends: libc-bin (= 2.11.1-0ubuntu7.12), debconf (>= 0.5) | debconf-2.0, libgcc1, tzdata, findutils (>= 4.4.0-2ubuntu2)
Recommends: libc6-i686
Suggests: glibc-doc, locales
Conflicts: belocs-locales-bin, tzdata (<< 2007k-1), tzdata-etch
Breaks: nscd (<< 2.9)
Filename: pool/main/e/eglibc/libc6_2.11.1-0ubuntu7.12_i386.deb
Size: 3908956
MD5sum: 2dbad3fcd9b4577422ee7d75f0808b3d
SHA1: 8b778f63d795069a02d4f93a99054da78cdaadeb
SHA256: 4a9c5477f496c85b227624dea6d10b6de2f9a1969f4d3b89694ed79dc5669574
Description-fr: Bibliothèque embarquée C GNU: bibliothèques partagées
 Contient les bibliothèques standard utilisées par la quasi-totalité du
 système. Ce paquet inclut les versions partagées des bibliothèques C
 standard et la bibliothèque standard math, ainsi que bien d'autres.
Homepage: http://www.eglibc.org
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: minimal

Package: libc6
Priority: required
Section: libs
Installed-Size: 9248
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Architecture: i386
Source: eglibc
Version: 2.11.1-0ubuntu7.11
Replaces: belocs-locales-bin
Provides: glibc-2.10-1
Depends: libc-bin (= 2.11.1-0ubuntu7.11), debconf (>= 0.5) | debconf-2.0, libgcc1, tzdata, findutils (>= 4.4.0-2ubuntu2)
Recommends: libc6-i686
Suggests: glibc-doc, locales
Conflicts: belocs-locales-bin, tzdata (<< 2007k-1), tzdata-etch
Breaks: nscd (<< 2.9)
Filename: pool/main/e/eglibc/libc6_2.11.1-0ubuntu7.11_i386.deb
Size: 3902796
MD5sum: 38e5a1f607d0bc1657e56013fa8de8ce
SHA1: 2d3203f85060f626a13bbf3dbf18078ebf9009fc
SHA256: 37530a6222cfa34d68b9eb34114d1579037a9d0e48f653df10692d691cf62311
Description-fr: Bibliothèque embarquée C GNU: bibliothèques partagées
 Contient les bibliothèques standard utilisées par la quasi-totalité du
 système. Ce paquet inclut les versions partagées des bibliothèques C
 standard et la bibliothèque standard math, ainsi que bien d'autres.
Homepage: http://www.eglibc.org
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: minimal

Package: libc6
Priority: required
Section: libs
Installed-Size: 9360
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Architecture: i386
Source: eglibc
Version: 2.11.1-0ubuntu7
Replaces: belocs-locales-bin
Provides: glibc-2.10-1
Depends: libc-bin (= 2.11.1-0ubuntu7), debconf (>= 0.5) | debconf-2.0, libgcc1, tzdata, findutils (>= 4.4.0-2ubuntu2)
Recommends: libc6-i686
Suggests: glibc-doc, locales
Conflicts: belocs-locales-bin, tzdata (<< 2007k-1), tzdata-etch
Breaks: nscd (<< 2.9)
Filename: pool/main/e/eglibc/libc6_2.11.1-0ubuntu7_i386.deb
Size: 3779102
MD5sum: 3a13553635306df40cd77fa39b52f9e8
SHA1: 9b7380fd0db04b9d9dfe2bde3e13703fe515a99f
SHA256: 12b515f04127ed2f9d2d159ebb34d89422c4fe70d2fb25f189ef4d8a5db71fc7
Description-fr: Bibliothèque embarquée C GNU: bibliothèques partagées
 Contient les bibliothèques standard utilisées par la quasi-totalité du
 système. Ce paquet inclut les versions partagées des bibliothèques C
 standard et la bibliothèque standard math, ainsi que bien d'autres.
Homepage: http://www.eglibc.org
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: minimal

Hors ligne

#13 Le 22/02/2013, à 15:50

Hoper

Re : [HELP] Dépendances non satisfaites.

Voila, c'est celle la qu'il te faut :
Version: 2.11.1-0ubuntu7.12

Je ne sais pas comment tu as réussit à avoir une 2.15 sur ton système et donc à tout casser, mais le but la, c'est de ré-installer cette version la.

Pour ça, il faut retrouver la bonne syntaxe...
essaye :

sudo apt-get install libc6=2.11.1-0ubuntu7.12


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#14 Le 22/02/2013, à 15:58

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

D'accord.

Alors j'ai fait " sudo apt-get install libc6=2.11.1-0ubuntu7.12 " et comme par hasard :

E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

J'en ai marre de ces dépendances non satisfaites...

Hors ligne

#15 Le 22/02/2013, à 16:11

Hoper

Re : [HELP] Dépendances non satisfaites.

et avec : sudo apt-get -f install libc6=2.11.1-0ubuntu7.12  ?


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#16 Le 22/02/2013, à 16:14

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

Non plus. Je me demande bien comment tout cela est arrivé... Peut être à cause de paquets non officiels installer.

Hors ligne

#17 Le 22/02/2013, à 16:19

Hoper

Re : [HELP] Dépendances non satisfaites.

Non plus. Je me demande bien comment tout cela est arrivé... Peut être à cause de paquets non officiels installer.

Oui. Soit des paquets, soit des repository (on ne pourra plus le savoir puisque tu as effacé le fichier /etc/apt/sources.list.
En tout cas, si ce sont des paquets non officiels, il ne devaient du tout être adapté à ta version d'ubuntu, mais plutôt à des versions plus récentes...
Et ce genre de chose, oui, ça peut faire mal...

Si ça avait été un paquet sans importance, on aurait toujours pu s'en sortir en forçant la suppression etc. Mais la... la libc... C'est un des composant les plus essentiels du système.

Donc la, désolé, en ce qui me concerne j’abandonne. Surtout que tu n'a peut être pas "cassé" que ça au passage. Je te conseille donc effectivement de sauvegarder tes données et de tout ré-installer proprement.

Dernière modification par Hoper (Le 22/02/2013, à 16:20)


Mes tutos et coups de gueule :
http://hoper.dnsalias.net/tdc/

Hors ligne

#18 Le 22/02/2013, à 16:34

iWeeZuu

Re : [HELP] Dépendances non satisfaites.

D'accord. Je vais essayer ça alors. Merci pour tout.

Hors ligne

Haut de page ↑